
import axios from "@/utils/axios";
export default {
     /**
     * 专利详情
     */
     selectPatentDetail(data) {
        return axios.post("/xiaoshi/patent/selectPatentDetail", data);
    },
    /**
     * 专利数据库查询专利清单（分页）
     * @param {*} data 
     * @returns 
     */
    QueryPatent(data) {
        return axios.post("/xiaoshi/patent/queryPatent", data);
    },
    /**
     * 专利数据库查询专利清单（从第几条查多少条）
     * @param {*} data 
     * @returns 
     */
    getPatentPageMessage(data) {
        return axios.post("/xiaoshi/patent/getPatentPageMessage", data);
    },
    /**
     * 根据专利号查询专利
     * @param {*} params 
     * @returns 
     */
    queryPatentByNo(params) {
        return axios.get("/xiaoshi/patent/queryPatentByNo", {params});
    },
    /**
     * 根据专利号查询专利(外部)
     * @param {*} params 
     * @returns 
     */
    queryPatentByNoFromWeb(params) {
        return axios.get("/xiaoshi/patent/queryPatentByNoFromWeb", {params});
    },
}